package com.qs.mp.web.controller.api.user;

import com.qs.mp.admin.service.IPrizeRecoveryService;
import com.qs.mp.common.core.domain.AjaxResult;
import com.qs.mp.user.domain.param.UserPrizeRecoveryCreateParam;
import com.qs.mp.utils.SecurityUtils;
import com.qs.mp.web.controller.common.BaseApiController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Cup
 * @date 2022/5/25
 */
@RestController
@RequestMapping("/api/v1/mp/user/prize/recovery")
@Api(tags = "用户奖品回收相关接口")
public class UserPrizeRecoveryController extends BaseApiController {

    @Autowired
    private IPrizeRecoveryService prizeRecoveryService;

    @PostMapping("/convert")
    @ApiOperation("回收奖品")
    public AjaxResult convert(@RequestBody UserPrizeRecoveryCreateParam userPrizeRecoveryCreateParam) {
        Long userId = SecurityUtils.getLoginUser().getUserId();
        prizeRecoveryService.convert(userId, userPrizeRecoveryCreateParam);

        return AjaxResult.success();
    }

}
