package com.qs.mp.user.domain.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.admin.domain.PrizeRecovery;
import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户奖品回收入参类
 * @author Cup
 * @date 2022/5/25
 */
@ApiModel("用户奖品回收入参类")
@Data
public class UserPrizeRecoveryCreateParam {

    @ApiModelProperty("关联奖品库id")
    private String storageId;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("图片")
    private String picUrl;

    @ApiModelProperty("数量")
    private Integer num;

    @ApiModelProperty("奖品ID（GOODS_ID或TEMPL_ID)")
    private String refId;

    @ApiModelProperty("奖品类型 goods 实物商品 coupon优惠券 coin平台代币 coupon_pkg券包")
    private TicketPrizeTypeEnum prizeType;



}
